Social API reference

Social API · Conversations

get/v1/communities/{community_id}/conversations/unread-countAuth

Global unread message count for the caller across every conversation in this community.

Path parameters

community_id*string

Social community UUID. Must belong to the PAK's workspace.

Query parameters

actor_id*string · uuid

The viewer actor UUID.

Response · 200 Unread count.

count*number

Number of unread incoming messages across every conversation the actor participates in.

Example: 7

Example

Request

GET https://social.productcraft.co/v1/communities/{community_id}/conversations/unread-count
Authorization: Bearer YOUR_TOKEN

Response

{
  "count": 7
}